# indirect_array.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file indirect_array.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::indirect_array< _Tp >
    Reference to arbitrary subset of an array. More...

## Defines

- #define _DEFINE_VALARRAY_OPERATOR(_Op, _Name)
- #define _INDIRECT_ARRAY_H